summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Levenshtein/Levenshtein-0.21.0.ebuild45
-rw-r--r--dev-python/Levenshtein/Manifest2
-rw-r--r--dev-python/Manifest.gzbin258589 -> 258593 bytes
-rw-r--r--dev-python/aws-sam-translator/Manifest2
-rw-r--r--dev-python/aws-sam-translator/aws-sam-translator-1.65.0.ebuild60
-rw-r--r--dev-python/boto3/Manifest2
-rw-r--r--dev-python/boto3/boto3-1.26.116.ebuild66
-rw-r--r--dev-python/botocore/Manifest2
-rw-r--r--dev-python/botocore/botocore-1.29.116.ebuild72
-rw-r--r--dev-python/cfn-lint/Manifest2
-rw-r--r--dev-python/cfn-lint/cfn-lint-0.77.2.ebuild64
-rw-r--r--dev-python/hypothesis/Manifest2
-rw-r--r--dev-python/hypothesis/hypothesis-6.72.1.ebuild77
-rw-r--r--dev-python/pyasn1-modules/Manifest2
-rw-r--r--dev-python/pyasn1-modules/pyasn1-modules-0.3.0.ebuild32
-rw-r--r--dev-python/pyasn1/Manifest2
-rw-r--r--dev-python/pyasn1/pyasn1-0.5.0.ebuild22
-rw-r--r--dev-python/python-email-validator/Manifest2
-rw-r--r--dev-python/python-email-validator/python-email-validator-2.0.0_p2.ebuild31
-rw-r--r--dev-python/python-engineio/Manifest2
-rw-r--r--dev-python/python-engineio/python-engineio-4.4.1.ebuild53
-rw-r--r--dev-python/ytmusicapi/Manifest2
-rw-r--r--dev-python/ytmusicapi/ytmusicapi-1.0.1.ebuild22
23 files changed, 566 insertions, 0 deletions
diff --git a/dev-python/Levenshtein/Levenshtein-0.21.0.ebuild b/dev-python/Levenshtein/Levenshtein-0.21.0.ebuild
new file mode 100644
index 000000000000..35b4a12135b8
--- /dev/null
+++ b/dev-python/Levenshtein/Levenshtein-0.21.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# custom wrapper over setuptools
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Functions for fast computation of Levenshtein distance, and edit operations"
+HOMEPAGE="
+ https://pypi.org/project/Levenshtein/
+ https://github.com/maxbachmann/Levenshtein/
+"
+SRC_URI="
+ https://github.com/maxbachmann/Levenshtein/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+DEPEND="
+ >=dev-cpp/rapidfuzz-cpp-1.7.0
+"
+RDEPEND="
+ <dev-python/rapidfuzz-4.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ >=dev-python/scikit-build-0.13.0[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # sterilize build flags
+ sed -i -e '/CMAKE_INTERPROCEDURAL_OPTIMIZATION/d' CMakeLists.txt || die
+
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/Levenshtein/Manifest b/dev-python/Levenshtein/Manifest
index b2f9c5095573..4a4352533efd 100644
--- a/dev-python/Levenshtein/Manifest
+++ b/dev-python/Levenshtein/Manifest
@@ -1,5 +1,7 @@
DIST Levenshtein-0.20.9.gh.tar.gz 36617 BLAKE2B 8e995f1c1648c81bea20844f7afc3c5dddd7dc31e5b6fc99a96930130c7f85bb32c4c4c85b319149d8511f6591ede96098038ea1b502a3e33a42ca3d21db4e2a SHA512 1d5dccd33ae8bd19b234861435212c7a57ba330a5f76a45c9e5b8ac3e401bc3d5eb3c72aea20e66bf0ebaaa6b760131dfef07fb5a2cf4d7191b595e1d962d93c
+DIST Levenshtein-0.21.0.gh.tar.gz 36616 BLAKE2B 8408ba8231a8ff3f6bf9e6cc7ea763061ca1c826236d74877213caef0ce736695865dc3c02565cce960b794d07f96f6413ca144565d6693debf90a1b5718524b SHA512 bb1cf70497e89db5b427eb4ac79708d205fc9edfc9588d30c63ef6e3e77b9369c8892edc31c32cb135d54947e8eedb770d06a7d5c6f8743d44378d7d1a12d459
DIST python-Levenshtein-0.12.2.tar.gz 50502 BLAKE2B d8992d30639e36aac1b85fada8f5273ed867aa3019208ffeb9972e999dad783d4ee16e1f6988c9306eb80f622b61fcf3a0a937b380c7a5acf50223268ed8de1d SHA512 97eac9d19121758af7620ad3963846e48434ceabb5376a83f28452015adf1a620620bfb53edb1c4f60b0fc8ec2b0faf35a105d7e2a0fc5df7a45fce81ba0dcdb
EBUILD Levenshtein-0.12.2.ebuild 630 BLAKE2B 7f74159f1e57e0b9040b8b0a6af3c52d1c64661639b2f3ef1a569b5ad91d36a939c044ec3e4ba499158e57930285b8a81cf8a48e89b5b330966cefaffd015c4e SHA512 8ce08ce36977336487a1b870c2e474bc257f05db1b14b39cdcd56d5f0bb3cb14ab768ba6e13a79804f99578ff6dc841b7e19186b9ce6e1b529b4c7ac2a636b0a
EBUILD Levenshtein-0.20.9.ebuild 1045 BLAKE2B cd155abb675212a0b0fc245d7ffa8c3bd8ae451ad4be29adb0b5b198bc5602cff51894b31493f19acdc2ae2107ee6e38b78564e40303ee020ec90b8949929fb5 SHA512 4355a6ac8bc2a2da72a20028cfbb5c8556d5c723a69b1776bf04b3e0570e457e3ed081f257476036379c05feda4320dbc195b6cf4a3ab71fa109ea35fc820b1d
+EBUILD Levenshtein-0.21.0.ebuild 1052 BLAKE2B 78c4982ff3a84e825de376aa38a9fb809cc59c2233d8f08219e07abbacc567c7b03eb193d512126989dceb464ef327fba6ad393c77cd254cd2c3a4743f60010b SHA512 971223c21f452cfe06615a81ec054d2b3312b7552757a6763864d9dc3db908adfd4e4f85851522483b6b4f0c0e04a950345d6930fbbf9afacde3d6b57da34402
MISC metadata.xml 378 BLAKE2B 59900a9f2532c274a220466ff9bd5db4a4830b221119a95a0fdf82928b90c64b458b16c26257b69093ac08346bafbe54189bdb873bb8f119753a4f2243973eb9 SHA512 26b3ddc5d3843122a47941cb1e388e41f6a3f98e3f8d2f5108f50240b5c9005edb2b1e2df55c9046d48a8b4e07941f8ccd4fdee129f4ac948a47a6207b73c7ba
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 29a51b09a379..7233dd940b94 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/aws-sam-translator/Manifest b/dev-python/aws-sam-translator/Manifest
index 54ae9f6fb098..c1d5ca603e4b 100644
--- a/dev-python/aws-sam-translator/Manifest
+++ b/dev-python/aws-sam-translator/Manifest
@@ -1,7 +1,9 @@
DIST serverless-application-model-1.62.0.gh.tar.gz 5177544 BLAKE2B ad0fdca32821e9b5dab86d03e65ad1a458493ecba0e75f6b2dc8b9978a6085ae5269496e231a2f09cd228e6bd2a66b3803953d2ca5aa7c265fa1019305aa1a9c SHA512 42f1d3ff352a02ab73f5a16cfeb800a80852986b09f71d9468b23c22b8dafff3a20e8ac92956020280884e4318bd80369b5b04ea6e9f0a28067dd792f1623747
DIST serverless-application-model-1.63.0.gh.tar.gz 5213667 BLAKE2B b75315d1c28789e9f0b8aa4774292ff2531806c1d59a8c16ab683fee439d188025c9cc62c2de037f2d947ad3b7eaa8bb4fbe8a5507ef1a4f3619f758cdf2eadc SHA512 eb6dc0f545550f726b59a2ea1994f8dfcc8eaf7a1fbca6ab12bfbe891813b208d869e25c0b320411aa6476dcf8c86fb19db9e13ddf0419d90d3c3403bd57485c
DIST serverless-application-model-1.64.0.gh.tar.gz 5231257 BLAKE2B 53eeb37d69ae0f133b936eb8bb20005ecdad5d71956becd61a9e9080be9bead1bebe98b89d0f67604ac74731b2ac7061f74fae67f0c8e12bf10f7a9dfc40eb3e SHA512 9584657026ca7c260fb9851e8669b19c896a88a4455c6e50e734c1d9b375b69d5cf85b64f960fa0987e8a34823343de3e8c8080413da07fcfb69dc491e72c761
+DIST serverless-application-model-1.65.0.gh.tar.gz 5310251 BLAKE2B 41d4b2a8902dc1bbd2b01f534475005b2c288d33d5bc76049af8b034d428f40b063de71830e4ea3552ab00b7b437e197cf561982d28d74f9762b175a956d587b SHA512 d4a7475f955145e9d141b1d3795bef5e1eb1c330e07b01e5f0e6207f33b73622dcce4ab9bbf10413513321f64e09d59f61aaf01d9fe9f0760b9b31d10c6e3d68
EBUILD aws-sam-translator-1.62.0.ebuild 1544 BLAKE2B 9572110682a5bfaeee90d69c6026a0130cacda3efb2d2da2952d675f5764745fb8fa7e7b1e586b2b029f5d8b955d9934228210734b060af23abdde9b2e18c487 SHA512 48956aabc1cd71db9d3cddb180c37387c8e5e4e314411a41f3ad791bbe6b2435208c9e045dead45d6e10944271b7f9954e2d1ae9290a3078d1e35391c0f52512
EBUILD aws-sam-translator-1.63.0.ebuild 1546 BLAKE2B ad6e5889df4bcddb45b7c19b46a2d29b4e58be32c5e2e7642713309a6962b870af65dad07437b2b5167481b4cbde6638c235a1928b930a8a50c1943e33364ccb SHA512 5b80e19e8592c98a0121af922addf5c0904d21164d1411459a5a96cf2ce54c3b728f6a7eaeb3a3629f24eac9f805d34548f9aeddb8d552d8a185599b23f0e124
EBUILD aws-sam-translator-1.64.0.ebuild 1546 BLAKE2B ad6e5889df4bcddb45b7c19b46a2d29b4e58be32c5e2e7642713309a6962b870af65dad07437b2b5167481b4cbde6638c235a1928b930a8a50c1943e33364ccb SHA512 5b80e19e8592c98a0121af922addf5c0904d21164d1411459a5a96cf2ce54c3b728f6a7eaeb3a3629f24eac9f805d34548f9aeddb8d552d8a185599b23f0e124
+EBUILD aws-sam-translator-1.65.0.ebuild 1546 BLAKE2B ad6e5889df4bcddb45b7c19b46a2d29b4e58be32c5e2e7642713309a6962b870af65dad07437b2b5167481b4cbde6638c235a1928b930a8a50c1943e33364ccb SHA512 5b80e19e8592c98a0121af922addf5c0904d21164d1411459a5a96cf2ce54c3b728f6a7eaeb3a3629f24eac9f805d34548f9aeddb8d552d8a185599b23f0e124
MISC metadata.xml 603 BLAKE2B 89556267393186cf69a585c58efeb6fa599bfb42ef221bea955ea807a28edee89036a2ee0d0ca81ae55d96702a01b171b837754dabf38047ecc2789157bb7116 SHA512 106b6d241eadf7807dadf03329073703f8b51e7443eddc4db8752878b6dd84cc4357689cd4b796b3a083192e9d98eacbe9e7b8af0273160c7b89846e78230a88
diff --git a/dev-python/aws-sam-translator/aws-sam-translator-1.65.0.ebuild b/dev-python/aws-sam-translator/aws-sam-translator-1.65.0.ebuild
new file mode 100644
index 000000000000..5a83e871d7a8
--- /dev/null
+++ b/dev-python/aws-sam-translator/aws-sam-translator-1.65.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+MY_P=serverless-application-model-${PV}
+DESCRIPTION="A library that transform SAM templates into AWS CloudFormation templates"
+HOMEPAGE="
+ https://github.com/aws/serverless-application-model/
+ https://pypi.org/project/aws-sam-translator/
+"
+SRC_URI="
+ https://github.com/aws/serverless-application-model/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/boto3-2[${PYTHON_USEDEP}]
+ >=dev-python/boto3-1.19.5[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.2[${PYTHON_USEDEP}]
+ <dev-python/pydantic-2[${PYTHON_USEDEP}]
+ >=dev-python/pydantic-1.8[${PYTHON_USEDEP}]
+ <dev-python/typing-extensions-5[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.4[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # so much noise...
+ sed -i -e '/log_cli/d' pytest.ini || die
+
+ # deps are installed by ebuild, don't try to reinstall them via pip
+ truncate --size=0 requirements/*.txt || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x AWS_DEFAULT_REGION=us-east-1
+ epytest -o addopts=
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index a91cbd07c36f..88306f517a1e 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -4,11 +4,13 @@ DIST boto3-1.26.112.gh.tar.gz 636498 BLAKE2B 2768bdc1fec35eca4a3079bf12933fc2832
DIST boto3-1.26.113.gh.tar.gz 636722 BLAKE2B 0b5c3819c004ba425294208f114b4b11713730a18e45cf274b8bfe1f762f59e2c404e0a4ccbbec16be934931e7b37c2bd462b7df7d6d47275b1de26300de216e SHA512 bafda63eddb19b97538224e9c12bc3178a0999cc4d2547cb7ec7335f28a7fe3875130573d4fab2fe21000cc1e3bc4e3a7a5ae99bc8f0e9dc7e2b40ad6fb5a2e0
DIST boto3-1.26.114.gh.tar.gz 637000 BLAKE2B 06f74ac214f4c2161ebe464e1c8fc42c74cb4429110c8ce979db3962fde5240c62ac94b4b9ca002fff89a36659a8830265ac693bd9522082b8cae21108e16cf9 SHA512 324ea177c8ee98a0935d1935f08b31f1640eedf8a7dd19f2bc958f6c1c2fb9deea29f0482b1f4c903d70860a93274dd0d70eafe0564116361daf5e7df51abd26
DIST boto3-1.26.115.gh.tar.gz 637877 BLAKE2B 861cf3a197002bcfac3f1ca3428bd01f1a8e103462e0de83ed33bb7575de0056f4222195c70dcd0e40dcf3744467e8c017bfe361e589eaf641fec76d6d3eea94 SHA512 337e90d91bb9efcff89b410d5222dead7ce1d0f35257bebe0309cd5fa657facd1a0352bee0ea23d3b94ad852da03a182b7dabf4c2d854390fd227bd58fabc6d3
+DIST boto3-1.26.116.gh.tar.gz 638605 BLAKE2B 946634bfaa4f0b4bd3689a11d8dc3e982dd8166c2b4409335bd1be58c356bbcbf2e5d22c7f319d29a549c69d4a14a3d2afb369c345c643cfa369fb3c9843e04f SHA512 2434fbf7ef2434365863ae8c67c16209a6537afb21697e24efd466146f6fe03566bec220943392139231d55aa570ba3d696a086fc087e4f9d1908da96794c77a
EBUILD boto3-1.26.104.ebuild 1508 BLAKE2B 42be8b915da646a7afe6dfc988542d3d79b5dbdc565d2e738d210e3f77b7c5ba6dfbac45e46b9cc3cc4770611cbc0c155abc7f1807ff0cb8e6033f927bea4048 SHA512 06404c0363c0c7c0d378d1c2b91073c137a1685d2d846d98c655e6d001df5cde0eb51bf6e160879af2b56321a02e84146ce634855f70c7c3fbbd1adbb9b8ef8e
EBUILD boto3-1.26.109.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
EBUILD boto3-1.26.112.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
EBUILD boto3-1.26.113.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
EBUILD boto3-1.26.114.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
EBUILD boto3-1.26.115.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
+EBUILD boto3-1.26.116.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
EBUILD boto3-9999.ebuild 1514 BLAKE2B 5d31d27ac50ed037fb8be61559bac03bd2a8c63f3220ac93ecc864c0e3cbd34763b9b70761a9f364cbc85a0edd84c6f6eeff614292f31473b4935e5bb86fae7b SHA512 26bd2959c745f0e423d683d2fedeab9a438d215fa9b28b403d0cea81caac7436f05382b2a91a183bc1095f3b205e3b2115f931cd7803e0b9838c2a507562da5c
MISC metadata.xml 493 BLAKE2B 7d6324fc877ffe1d20c5369c2af0b09a7028f94d28f1841188913d0d8be7ea699c9d3f92c624992c4c96bd69615d3a1211a2483c76c56b7d3082492e43512523 SHA512 44420d8c03d5986f990b76369edfa8dfd7659b4952db3ad946fd05392ec594628a28745ad888d055d4f074d5214f61fcffafe6c04c4ab54109d45ac0371582bd
diff --git a/dev-python/boto3/boto3-1.26.116.ebuild b/dev-python/boto3/boto3-1.26.116.ebuild
new file mode 100644
index 000000000000..2a4a7643203e
--- /dev/null
+++ b/dev-python/boto3/boto3-1.26.116.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index fdb670e0cea0..28df11c378ed 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -4,11 +4,13 @@ DIST botocore-1.29.112.gh.tar.gz 11380151 BLAKE2B 0392abe4e6be29a9e3eae1e693d7cc
DIST botocore-1.29.113.gh.tar.gz 11386284 BLAKE2B a3611f356f25080f00f675b20a8b49952bcf1e464b9a114bf37392ebdf4573ac1e9eb6373c61dbf87f8101e055f4f6600f7825f45b00c5723c1528d74865dd6c SHA512 8a16fdde7099ae75a3587ee0c0108c12a6c5c27dbbbfc2d98eb3ccd4c66b45f0389a722f1b10ac3f3cc69ea7ba9135cc0604e35126cc2691a26f4a6173d5258a
DIST botocore-1.29.114.gh.tar.gz 11388772 BLAKE2B 6c9ce892cccf2f85ba4bcd49b31309528016313bb699efbca3b00d3cf3797de5e1b35bd71a3b5bd6d471e9c411ad7750ebd25c03571aa18c34cd42bc2f47bc19 SHA512 6633a2aaf2865a89976ba4097fa64cee4167a9144d4eadc7d9be711e65735bab08d2c03c18ae52c4901fea47265301cb95c91306b261fb48b4119bec66cde376
DIST botocore-1.29.115.gh.tar.gz 11394187 BLAKE2B 621be4a22b7f06d520bcd630ed6e1a8721d11d5c7822f56f54907177d0773b69247b627a42cfbb1b8e053f54ea16f7238acc0d485379c1e071b6e917ea625596 SHA512 525d8f219cad541c4cc125c2d5eeb7595fba6192bda23e7bcc02a65e4ec413756ae3d8ab5bcb3185b5c837bc7214c22146e52716ff010cc396bc8d32cd98b956
+DIST botocore-1.29.116.gh.tar.gz 11399292 BLAKE2B 47a53b2612804911465f6f56a78f79e389ac7bd2e29e3f45c60f25ec1e700df8956dac034d058974bb453623d5ed5edc416d07b45427cb1ef3c584b5ec4b97f3 SHA512 81636c104a0c4b4f04ebeb066171be206929d5eaf2c40e6f383e701a9dc917f84d4b2f9ef2d7a26b278960af7561316d289be4150eede9a56be20dbf606aa57c
EBUILD botocore-1.29.104.ebuild 1827 BLAKE2B d9e353ffebf3b77bdb5b034da339f9f3cf95937e288fa522fcc40f88a4752c58ae085406bfefa595c3738ec118712cdb4ee0509c1dee7a00e2c76cd2a657009c SHA512 f0d3e81726bd65bf4c097b63e8673881949970e29d976de53c1facbccf8cd1d214fea9153f4820a5889f1892979342a0255e110b243ba613d4e803a940d46602
EBUILD botocore-1.29.109.ebuild 1834 BLAKE2B 50305f707e533627ed4b906b3c5845a931f825049d40d8e9d9eedf1323d130634b578f68adb046db30e3e9a4168361da69d99471a7b744407dc103130a114994 SHA512 45952178574e99269d9767374818d867bfcc47ebf0f4c37dbab6cf50089577badb69967bd06b0b2d10b15dcd1c3e8b82adac88404d7c3b7d7784292b4005e797
EBUILD botocore-1.29.112.ebuild 1834 BLAKE2B 50305f707e533627ed4b906b3c5845a931f825049d40d8e9d9eedf1323d130634b578f68adb046db30e3e9a4168361da69d99471a7b744407dc103130a114994 SHA512 45952178574e99269d9767374818d867bfcc47ebf0f4c37dbab6cf50089577badb69967bd06b0b2d10b15dcd1c3e8b82adac88404d7c3b7d7784292b4005e797
EBUILD botocore-1.29.113.ebuild 1834 BLAKE2B 50305f707e533627ed4b906b3c5845a931f825049d40d8e9d9eedf1323d130634b578f68adb046db30e3e9a4168361da69d99471a7b744407dc103130a114994 SHA512 45952178574e99269d9767374818d867bfcc47ebf0f4c37dbab6cf50089577badb69967bd06b0b2d10b15dcd1c3e8b82adac88404d7c3b7d7784292b4005e797
EBUILD botocore-1.29.114.ebuild 1834 BLAKE2B 50305f707e533627ed4b906b3c5845a931f825049d40d8e9d9eedf1323d130634b578f68adb046db30e3e9a4168361da69d99471a7b744407dc103130a114994 SHA512 45952178574e99269d9767374818d867bfcc47ebf0f4c37dbab6cf50089577badb69967bd06b0b2d10b15dcd1c3e8b82adac88404d7c3b7d7784292b4005e797
EBUILD botocore-1.29.115.ebuild 1834 BLAKE2B 50305f707e533627ed4b906b3c5845a931f825049d40d8e9d9eedf1323d130634b578f68adb046db30e3e9a4168361da69d99471a7b744407dc103130a114994 SHA512 45952178574e99269d9767374818d867bfcc47ebf0f4c37dbab6cf50089577badb69967bd06b0b2d10b15dcd1c3e8b82adac88404d7c3b7d7784292b4005e797
+EBUILD botocore-1.29.116.ebuild 1834 BLAKE2B 50305f707e533627ed4b906b3c5845a931f825049d40d8e9d9eedf1323d130634b578f68adb046db30e3e9a4168361da69d99471a7b744407dc103130a114994 SHA512 45952178574e99269d9767374818d867bfcc47ebf0f4c37dbab6cf50089577badb69967bd06b0b2d10b15dcd1c3e8b82adac88404d7c3b7d7784292b4005e797
EBUILD botocore-9999.ebuild 1736 BLAKE2B 6ca7ea14855f5f8db2d166ba1f29835d4c994a0a8fa38f3852406289a4465c091909562ac678f1c0bf7e640a594731b0d4319efc0f34f6bc640fbae06746c4bc SHA512 f891bf0eded88d9af3b87fc7c9ee4c6a129d263e672821f3b9654d43bb3bcac41305b834192088d15b50f3f9d36ea95374180cf13e1cb67149595ec63e4cc155
MISC metadata.xml 499 BLAKE2B e5aaa7da26f200c09adfdf38b68f656bbccbec627cb5d966b280ac2165334e7eec659c89075bcace748f58e2ec3e7d2998e54a688d56ecea2d30653c67dfd35a SHA512 103c554d5dbd967bf9b6e418b3913d9235e7e910d012160909ce0715134ed2e37b06e6a345395f9d16ce08d1cf51f3ce458bce93c6a978fd3dca6610f2acdbd0
diff --git a/dev-python/botocore/botocore-1.29.116.ebuild b/dev-python/botocore/botocore-1.29.116.ebuild
new file mode 100644
index 000000000000..491b6bbc21f2
--- /dev/null
+++ b/dev-python/botocore/botocore-1.29.116.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ # fails on unrelated warnings
+ tests/unit/test_client.py::TestAutoGeneratedClient::test_BOTO_DISABLE_COMMONNAME
+ tests/unit/test_client.py::TestClientErrors::test_BOTO_DISABLE_COMMONNAME
+ # TODO
+ tests/functional/test_credentials.py::SSOSessionTest::test_token_chosen_from_provider
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index d3541f511a58..76672693c9f4 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -4,10 +4,12 @@ DIST cfn-lint-0.76.1.gh.tar.gz 3631194 BLAKE2B 95d395369fc230fe4e6c5d5e2a0e4bf24
DIST cfn-lint-0.76.2.tar.gz 3402554 BLAKE2B e5f9405d2852e3b81140a24d94c90a3bf8c919eb6823280a0a887c6acc56ec71d991cbc76532cc49d1189a8f64750ba3e9db02fb3b46b27a28ec3468f4dd268e SHA512 96351ade16308be18baace1351e263a179eacc0b3635e9baa959baadaebb6a08825f6cb9cd83cb83b8635785c7f54405bfcf00f85d6d95d101d3298919cd1ea7
DIST cfn-lint-0.77.0.tar.gz 3474124 BLAKE2B 5715618f6b44a7a88ef3af8d21d038fa4ce4707973e64eb9712ff524cd5276e71802ad4b9a55580ac469b6474c7d48a8ccee04660bcaf7934df7a23cab1e5a9a SHA512 6509197ef29d8bcbfc416df0a63f89736f704b147bbeb489586b6a06e1818f1d91e59429c73a9e9e23dadb20325a3c79d0b8e1b4637cd0e131f9673422e36734
DIST cfn-lint-0.77.1.tar.gz 3483399 BLAKE2B 6eaaba9cf70044c673164bce3a062b00ae7703b091e2c0e8d5065e815278fdb88d75f2592695cd1be1612421f95c806f6eaf3be9f4725abec0cf5e39070ff175 SHA512 0d18e7bc19d5562c88194f834267fa6d2fd8125754399ef281598beb68752e7935a653fbe3a0573f4887cb7a76c41b49ad8e268d390db59dd79794cde4939f31
+DIST cfn-lint-0.77.2.tar.gz 3483728 BLAKE2B f7c3cb5be3fbc81f10515bec145030c21c9a754ecbb887267ee85ea9fecd41e57be8572d30f204a54c3e22191c58d2c7d7112115e2c6cd0a23490c4c7633d270 SHA512 8e901564b34e601e62a276b8f8a4b5687de651aafa6da6dc295e846b04e703bda24e6a72b71797c82d2c2f4c93978da92a08999cb73be6a48c9ffd4a40ccb0e6
EBUILD cfn-lint-0.74.3.ebuild 1623 BLAKE2B 07a514b96d3f3b0084e82698f7c50c57d7c592573c964aa5cad35681347b31035bac3ba580764b5538bf71b35622fd697e782162fb4796cb60afb69d8f3bf11f SHA512 5b8ae5749d2bcf6faa296cb046185888b6e42213341d990839a3de496b0cd3dce699a0a7fd318537b9405a5a6b7a2104ea7b40adfbdf1f4f63721a28e32a5988
EBUILD cfn-lint-0.75.1.ebuild 1625 BLAKE2B 22541f210143e50b731ad2234f300f8175a3626288cb0d8358e6d690d81a56eac4c34521c5ea0468e6fef9a95e4c0bbbba1d8792c1e8490c4b787413730088e7 SHA512 4a2d0db8bc62e0041ee27fc776e3a75e7839333ff3c58affd65128a45e615ba2037d8b819972d584f67afcd18a5b85f2c4ff8c46b32676b6db70c81f6cd347ef
EBUILD cfn-lint-0.76.1.ebuild 2157 BLAKE2B 57d16cabb2460f7161933f9ca3814baccad5e3c0ebedc0332e07574db35c4432a916415fba17e063da1d71f09436663450b0ab42d19eefcf16c7b24f940fe71f SHA512 511eecc772689a9e13a80070c96670ac0b45bc207ca90b228e8b0acd36c73cc9df7a33ff4714512f59e0221e36be9ba3099c1711402bc39eacd5e0a7415d7b92
EBUILD cfn-lint-0.76.2.ebuild 1977 BLAKE2B eb75179972626397fd5d225f0f228a69eee61257c23bc63685a96e495183b733ec146fad85ca4e821fe6f1cfbe55b079329a4d52fb83f0391f74cd124a6637f2 SHA512 656b2acf67cb7944a727297cd6df99cc9640177304661b9626d075499b50d60b7941ac3473430cc2f9fda1b19b693a056d52da6198b2b73e4eac634070a794da
EBUILD cfn-lint-0.77.0.ebuild 2013 BLAKE2B e685a47e788380adf32a251c55c6fbe770afbc84b493da3accec08e3227435425c424cabe0f46c9e7660829bc6cd6ee8408eeb4df64a143312a3b244e21a5b41 SHA512 0d6a0021003a3f905f1d31545ad66438d4540f3ad4bad8b094c8bb1fcc4d125266fdf12d6a67fae2281dcf7886e003295697c081240617b714f014f1e2e995e1
EBUILD cfn-lint-0.77.1.ebuild 2013 BLAKE2B e685a47e788380adf32a251c55c6fbe770afbc84b493da3accec08e3227435425c424cabe0f46c9e7660829bc6cd6ee8408eeb4df64a143312a3b244e21a5b41 SHA512 0d6a0021003a3f905f1d31545ad66438d4540f3ad4bad8b094c8bb1fcc4d125266fdf12d6a67fae2281dcf7886e003295697c081240617b714f014f1e2e995e1
+EBUILD cfn-lint-0.77.2.ebuild 2013 BLAKE2B e685a47e788380adf32a251c55c6fbe770afbc84b493da3accec08e3227435425c424cabe0f46c9e7660829bc6cd6ee8408eeb4df64a143312a3b244e21a5b41 SHA512 0d6a0021003a3f905f1d31545ad66438d4540f3ad4bad8b094c8bb1fcc4d125266fdf12d6a67fae2281dcf7886e003295697c081240617b714f014f1e2e995e1
MISC metadata.xml 583 BLAKE2B 9f73e2b92e5cfa2ad59f5c8e5d91bdd3aa9eba3fa722b93b388cffea42020db7e7441bab5749432812934a4514d3e9104e6d897e1d115afa5ed237757bd48c03 SHA512 1866a349855ae4e248498b7aabd6ce4c4e10ea58731df4bfa13500f61dc041da6dbd7420e7d6a78fad46d5cf00bd7ef2d0c4c7d6819a21b3a5031b0d49588a19
diff --git a/dev-python/cfn-lint/cfn-lint-0.77.2.ebuild b/dev-python/cfn-lint/cfn-lint-0.77.2.ebuild
new file mode 100644
index 000000000000..2b6753f1c840
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-0.77.2.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+ https://github.com/aws-cloudformation/cfn-lint/
+ https://pypi.org/project/cfn-lint/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.64.0[${PYTHON_USEDEP}]
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jschema_to_python-1.2.3[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ <dev-python/networkx-4[${PYTHON_USEDEP}]
+ >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ dev-python/regex[${PYTHON_USEDEP}]
+ >=dev-python/sarif_om-1.0.4[${PYTHON_USEDEP}]
+ >=dev-python/sympy-1.0.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ test/unit/module/test_template.py::TestTemplate::test_build_graph
+ # requires git repo
+ test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+ # Internet
+ test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+ # TODO: it looks as if AWS_DEFAULT_REGION didn't work
+ test/unit/module/core/test_run_cli.py::TestCli::test_bad_config
+ test/unit/module/core/test_run_cli.py::TestCli::test_override_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_positional_template_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_template_config
+ )
+
+ # from tox.ini
+ local -x AWS_DEFAULT_REGION=us-east-1
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 59e11b3323b2..e52016774ae0 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -5,6 +5,7 @@ DIST hypothesis-6.70.1.gh.tar.gz 9351685 BLAKE2B 99488f4caae4da403ebe28c2c18829d
DIST hypothesis-6.70.2.gh.tar.gz 9351849 BLAKE2B 074003592741cd89ae9ae44b3857daa3f5d1c8cbb0ab3513f3930b27fcc4e27417994c4240fbbba4649cb04716820db0e9c4f4ac745c194535a81b8a6197f7c3 SHA512 20f812ca8e005877893eacde1bac796495f8697ecbbd6da5f807a9ce6d7e310682030323a8b7bb3e646040253968d2f15cb6fcc858f47be631ef62af4924ac78
DIST hypothesis-6.71.0.gh.tar.gz 9357031 BLAKE2B e4a83a94bb6971c3ecba4cc69655f9da23a83ab48332a7a748ca7364d9e549a671bf466e32f6e65447f809a9917fc8fd2548dd26764173ea5849a4df3e027b54 SHA512 dea1d5ec1b753649345edd784183f171531adb583e33d0e5d12b14554169fa054e05f4c16135171c708c208b42968082b3ce79cc0441efccf1eff6da37c59f97
DIST hypothesis-6.72.0.gh.tar.gz 9357320 BLAKE2B a688d3bfa90d4b335c022ed823e3ab3c9bb7b6e4404e62259e65faf7d2867d6cb8379b14a8328294c325506278c6523b9a14f6798110d67c9b636a89720a3ab9 SHA512 7d5cdf91114a34267edcca10295ee84005f2799ed58e7125c584fcc49171e60383a80c7a0040e41d24b3225113cb354966d40f61c94a28bcdbd596582577372b
+DIST hypothesis-6.72.1.gh.tar.gz 9358351 BLAKE2B fbb760194c944cc939e9a9b83a461be22f9e5081d865f0dfa3834375d464714178dca64b9e1993fa4b0855e90f6e133a81d22699acc91560f60f137e8589798c SHA512 1a9d4b103f714e27ec5e33efbdfda0cc3febbe77caf6f605db7fb3b2df857712682a3cce80e75f45f9cd88b1715789d7fc2c5a7d50edbf66a699f5381e2671e5
EBUILD hypothesis-6.68.2.ebuild 2132 BLAKE2B be04a23a6cc71d17c7585c98d1df3e8bf9a32c84897a5328fba61561c756d8bbcbfdcf778debfa99d3555f430f697720a1bcf083e3422d55116f5649e901ae44 SHA512 61d1b1390b920c328bbafd1b80c7f1c934f5483972bfaba692ed95cd5478bbaa62bc65438665037b6bc10b0050477c02597f2fdc9536963d6769f23cdcd5f721
EBUILD hypothesis-6.69.0.ebuild 2140 BLAKE2B 2f30425aa0adf1a75d387919c79d317184887d591f26317945b877349a9ae6e3b6305dc4fbb6734954125e704c2709859e3ea558b21326ac715947df8bc989e1 SHA512 84b885785fd94b11d69783af8a4b119bc434adbae1612687841cac5c627954c0e83480d66ec4b5e129350310a807db73f43e914b6412e4ead6808c22c40fd990
EBUILD hypothesis-6.70.0.ebuild 2140 BLAKE2B 2f30425aa0adf1a75d387919c79d317184887d591f26317945b877349a9ae6e3b6305dc4fbb6734954125e704c2709859e3ea558b21326ac715947df8bc989e1 SHA512 84b885785fd94b11d69783af8a4b119bc434adbae1612687841cac5c627954c0e83480d66ec4b5e129350310a807db73f43e914b6412e4ead6808c22c40fd990
@@ -12,4 +13,5 @@ EBUILD hypothesis-6.70.1.ebuild 2140 BLAKE2B 2f30425aa0adf1a75d387919c79d3171848
EBUILD hypothesis-6.70.2.ebuild 2136 BLAKE2B 35dccc51dab2ed18059ac3a0f38dd2ef843ced097a386c953410198590c3b4ac2b1564bb9a347a59644e153a6de8924f72a6eba3927da545526a31d5853c4463 SHA512 d718a18708427023d2057554e99e463d35995663899ee6d4289a96dc039f498e2b5b5ad0b21b952ef598c84a867c3bbcc7a1d97fc34c11fcd2f8fb018542a5f4
EBUILD hypothesis-6.71.0.ebuild 2136 BLAKE2B 35dccc51dab2ed18059ac3a0f38dd2ef843ced097a386c953410198590c3b4ac2b1564bb9a347a59644e153a6de8924f72a6eba3927da545526a31d5853c4463 SHA512 d718a18708427023d2057554e99e463d35995663899ee6d4289a96dc039f498e2b5b5ad0b21b952ef598c84a867c3bbcc7a1d97fc34c11fcd2f8fb018542a5f4
EBUILD hypothesis-6.72.0.ebuild 2136 BLAKE2B 35dccc51dab2ed18059ac3a0f38dd2ef843ced097a386c953410198590c3b4ac2b1564bb9a347a59644e153a6de8924f72a6eba3927da545526a31d5853c4463 SHA512 d718a18708427023d2057554e99e463d35995663899ee6d4289a96dc039f498e2b5b5ad0b21b952ef598c84a867c3bbcc7a1d97fc34c11fcd2f8fb018542a5f4
+EBUILD hypothesis-6.72.1.ebuild 2125 BLAKE2B 51d07695cdc9af22cb2b6cba55a932a31325861d109fa77216c3dfbd5bda0ddf4246014e90faa2559e7f50334ad5eb33efb377be5319525e664f5c334106ba87 SHA512 bcc6d5b8eafde5dcd3aef80abc3485974131f29975500ee6359fad0aec7d1759848fd131d9901a13a5bc48ca880149b9ef72e5baad1a1368a9300bac65cd7807
MISC metadata.xml 492 BLAKE2B c9e9bbd59af55d1f47e5b7a86933c02b47f832122d03eaca56bd3ec9476cf260d91d4fd2da5068845d4525b7cc9f702b515e8d6a0dffa7923f5898cfd44e12a1 SHA512 166b33d6ac887f52d54fb9d556102038c00650a597d2de1c3aad3f8b5e136e9b6b7db31f05f3379435e4c5f943156d5839d78fc95461af411037a3162ea6705e
diff --git a/dev-python/hypothesis/hypothesis-6.72.1.ebuild b/dev-python/hypothesis/hypothesis-6.72.1.ebuild
new file mode 100644
index 000000000000..15f6983ab24d
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.72.1.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{9..11} )
+PYTHON_COMPAT=( "${CLI_COMPAT[@]}" pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/requests-toolbelt-0.10.1
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,pytest_forked,_hypothesis_pytestplugin
+
+ epytest tests/cover tests/pytest tests/quality -n "$(makeopts_jobs)"
+}
+
+python_install() {
+ distutils-r1_python_install
+ if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/pyasn1-modules/Manifest b/dev-python/pyasn1-modules/Manifest
index 766a745fd9a7..68ee8006bcae 100644
--- a/dev-python/pyasn1-modules/Manifest
+++ b/dev-python/pyasn1-modules/Manifest
@@ -1,3 +1,5 @@
DIST pyasn1-modules-0.2.8.tar.gz 242864 BLAKE2B 22b6cc27d45d19d8e7f5b12c8aeff1fa379bd567fda6b1dc0fafd00c0f4367d32f21cd48cf3cba140f2f11ba7d258140e8014c8420300451ab1acff475d28da7 SHA512 fdfcaa065deffdd732deaa1fa30dec2fc4a90ffe15bd12de40636ce0212f447611096d2f4e652ed786b5c47544439e6a93721fabe121f3320f13965692a1ca5b
+DIST pyasn1_modules-0.3.0.tar.gz 307901 BLAKE2B bfcfd1442b3e9cd542d4f47160b54308ff5ab0373394f55007a1a3963342b8217bd89b5b71dba9e4a69071e805610c3060a28df40249c9b8a1898f941d40e35a SHA512 fedcf95e0452e133fc0735a1be29fb5e7df563243203463c66b85d9af6194a550c78a96fec2d915be1aa6b98428f51b6ed4feb7ed3838c515d044fbafeb2cb46
EBUILD pyasn1-modules-0.2.8-r2.ebuild 710 BLAKE2B f34ef1392d3590c62c16a6cef73c0317cfb989f5834cdf960ba520dcffaa3ef7a1f8aaaabbb0e2fbfdc5c85b3402f7d4a2695182657a9f51ada761390b767b8b SHA512 c7aaa157aa60e9fcd28a99eb1a475c05e9c79498185800c9a68b09580186d980e1848f322a569391d0b8b85e628b2d8d7e53078aef24745e4b9e3bdd67d3d9f9
+EBUILD pyasn1-modules-0.3.0.ebuild 742 BLAKE2B 79395fa48e1dc288fe582b0788e4fe958add00519b9d51abee39cd068badc64969c9c82d03b8cf188f6d0d1d588d84fb40de86df210c4006585b8d1fb6a05639 SHA512 9c64f4ccfbe8d567071f176ed9200655a633600e898dd8a96ab7e9fe08a2c1f8b34874c8a1062138d6c2cc63015f0816ee923bfc03e9d0e2493bf1a11a95b5ac
MISC metadata.xml 404 BLAKE2B b5d3c68b942e6c2ff5a1cf31cc0b43ca1570e1d4280a85f376d7b81abbe540ca889f87039dd26fe1f595a2ca8b47acc4ec03bfc5598ba06a8e651c60c2277c93 SHA512 c4784ac61152a9d609e337f7c186b214b2e3add22d54ea7cfaaa0c8fc4fb9e0895617d0b73692aa7326088dd7b7e1ced8a871ac8312abc1f6b09fb558a4d385b
diff --git a/dev-python/pyasn1-modules/pyasn1-modules-0.3.0.ebuild b/dev-python/pyasn1-modules/pyasn1-modules-0.3.0.ebuild
new file mode 100644
index 000000000000..cdca036e890e
--- /dev/null
+++ b/dev-python/pyasn1-modules/pyasn1-modules-0.3.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="pyasn1 modules"
+HOMEPAGE="
+ https://pypi.org/project/pyasn1-modules/
+ https://github.com/etingof/pyasn1-modules/
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+RDEPEND="
+ <dev-python/pyasn1-0.6.0[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-0.4.6[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+
+python_install_all() {
+ distutils-r1_python_install_all
+ insinto /usr/share/${P}
+ doins -r tools
+}
diff --git a/dev-python/pyasn1/Manifest b/dev-python/pyasn1/Manifest
index cdd06630f231..49bbb62c8726 100644
--- a/dev-python/pyasn1/Manifest
+++ b/dev-python/pyasn1/Manifest
@@ -1,3 +1,5 @@
DIST pyasn1-0.4.8.tar.gz 146820 BLAKE2B 5c00b47c2014e599d1aa2e14c3004b3688786c7afd160c85709d5a0f324166abb1d29ebbd9f3e13100166e7176710e4dc6e1b8fcf80db5f5bdaa202912f8a023 SHA512 e64e70b325c8067f87ace7c0673149e82fe564aa4b0fa146d29b43cb588ecd6e81b1b82803b8cfa7a17d3d0489b6d88b4af5afb3aa0052bf92e8a1769fe8f7b0
+DIST pyasn1-0.5.0.tar.gz 145117 BLAKE2B dbbec0bebcfe11b8de983716fedf1bf28e6bcf7d5f89e3dcba929884347cc7cd3a8ef8b5ec44bbc799a7bae3de39c90cf5e48111384de571dc2034a79c3bb52b SHA512 763690184ce891555564d76902042791865815e59e1325100fca692140110e5e182ef3da84ffdf96b1876edeb2757bbb09c06d26e752a8110760dafbf9e3ca00
EBUILD pyasn1-0.4.8-r2.ebuild 576 BLAKE2B 00dacaef0995fc35ed70642fa1bec28624baada731eff7aaf4e1cd52969f5aca31caf81c8c3a51802989ade2d7ce9c63ff5b9755b32647e1654515efca99b3cf SHA512 4c11a0897c61c2df488b3ffa6f9d9df870cce6df24935d0ff341edb78e0fcabe1baa88874e19ba51afee71528948337dfedde9d6c58a1936c72e2f3b5c1851ac
+EBUILD pyasn1-0.5.0.ebuild 584 BLAKE2B bdbf18b0540a0d0ed7c77c5167af5007ce43d5e018c45185fb26bd42ec0cd58ce603dd106300d59d3309d79b1a448a5a1ae3edf60195051f996f41eda2def8e1 SHA512 465a49b59cb7cd812bfad82290cb05ed93b92cbba2017b1e80860233c6e3bf92880e5b625f3d51209635979c4aa4d366eaafb6394d0c69a5b41adbbf3db85d06
MISC metadata.xml 401 BLAKE2B 28d1b58f4b16507dd595524f0eb3fafa93a68222bc56f0040b33e7458b2ac471409c798af1014ccc50207fd0ac66a566aba36e1f0c04a22499396620f3477945 SHA512 a25c0976b4d0ff8a6ede6b84b6933b3405f8cdbf74416f01e91508f0c72d2dda4b4ff63c011846052b683bc7a3f7e5e0ea068d3b506d256bb15fd8dffafc94e0
diff --git a/dev-python/pyasn1/pyasn1-0.5.0.ebuild b/dev-python/pyasn1/pyasn1-0.5.0.ebuild
new file mode 100644
index 000000000000..65fba7ed2b93
--- /dev/null
+++ b/dev-python/pyasn1/pyasn1-0.5.0.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="ASN.1 library for Python"
+HOMEPAGE="
+ https://pypi.org/project/pyasn1/
+ https://github.com/etingof/pyasn1/
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~x64-macos"
+
+distutils_enable_tests unittest
+distutils_enable_sphinx "docs/source"
diff --git a/dev-python/python-email-validator/Manifest b/dev-python/python-email-validator/Manifest
index 2126ee03a92e..1b21c253b312 100644
--- a/dev-python/python-email-validator/Manifest
+++ b/dev-python/python-email-validator/Manifest
@@ -1,7 +1,9 @@
DIST email_validator-2.0.0.post1.tar.gz 45136 BLAKE2B d800462f55ee0693917a5348107bd68af2a9c0b6e1a3ccbf28aa22716bbf6da2998bbf4b16352e719c13761b895a85566911bfd4422a516d77214a729da41aca SHA512 0e72d88dea00ade9a8727a4d3ff9a239f581afc14bf7c7a22a582d69e70c7653371c035451493b89fc1a49c70aab8cdfe6159285ea5e8976e645199319004029
+DIST email_validator-2.0.0.post2.tar.gz 45253 BLAKE2B b213ebab2a10acf6c2ab95d382fa78ef92f41ff85ce25c1cfa5a65403e728fd05c66df3dccbaec77eea469d0665701ad5d8047c31e69b57ed8e6fe52f3a1f9c5 SHA512 8c4abc955d909ef05ca89d6c6931bce06de199c33c5f8d0744d44ff00ee69c1841f295882af3da03963cc90ef031da46cdaef90249f73e0c7b47f19dfb816b62
DIST python-email-validator-1.3.1.gh.tar.gz 28691 BLAKE2B eb69028066e969a935117f51a32d75595468797a82608bcb7f6ebcbebada01aac29e3e223efc849dc519d85897a375cdc584760f3cb5a431e2c39aa566c20514 SHA512 7806ef35c07cf0cfef3d8c6c7fe6dd3cb58da091a134b57d879a2cfcdf6425f8729ab8b03194135749ae47b369da47434c1d130432cfaa8eeaf5d07149c15dc2
DIST python-email-validator-2.0.0.gh.tar.gz 39007 BLAKE2B 319fa94979fdb6b701c1c8f754f2915e02a53de7ee6f06a5409980b1e4dedca75d08cd24e4f5ee35e7803c7ff4dbb03c1e75645dd7e0443ccaa2b26b6035648a SHA512 6448c55dea3d43d1d457f4b3f24360aaaa6e4ea8f81db891e94d2ff685ae1d8bc1023d4a6329fc495ff6069fc1a6861185e66eada9d2ed6546e6c6b8716df802
EBUILD python-email-validator-1.3.1.ebuild 1393 BLAKE2B 6d324c6f5d1e8168fce94318f9442ba56be3145be51e13a225a4552f548c3b2aab0074799cd56907fafa33c1b0da5086c81f17c07d5b596422c30b600061fc65 SHA512 9fcfb4934e63a335a83da858a01395d0daadebf103b507a93afb28121a2b25b33f9468c50ebaeb8a79e40aefaa29c366baca48b25e505181ce612f5ddbd69660
EBUILD python-email-validator-2.0.0.ebuild 828 BLAKE2B efe0b549e13517620e3847193b530df0bf80b2e8833ee5fa26825814420fb25f33160b551a17add594526a5447cb9fa58f07f9370e1c1be73e943fdfc9a6b14e SHA512 15e5968f2161094cf942cd74ac8940c53aa5b08c1922dcf04b37dd3571975f5634f1364131029e5474a9ff7f9f5586e5b9c301df43840c4e59af12b60e14084e
EBUILD python-email-validator-2.0.0_p1.ebuild 751 BLAKE2B 6aa61d4427e06bf092290229fc2e312887ae2768277b31df970dac273ae6eb0d398193701adf5f081708969e60ce7a75d52d74b0a8b5481d85458752f9ceb1ff SHA512 61b5cf8802aa26b9bd67ebab128c8a7a524524f07486b9fa4aca63bcc9de22c75444d81b582c8f849736690786327fd00513328b76b498f5f20ca00a53896ccb
+EBUILD python-email-validator-2.0.0_p2.ebuild 732 BLAKE2B c90a5170a2cdf999773cd290573b3eef8194e7b3f92abadb5b74c9a7fcd81f72688957de5c6b7dc9eb0dd05894a489bee490f44ae8367c76c9cff98016325bc7 SHA512 cc80bb82876cac3713e6c7790f056eb9a7ddf6e6695e7eb5e95a4ac882aa5b38e9bfa35b3ebf8c5e2ed0f1fa350ac14e0704ece9b57d886bf55a0bbb52e7a8fc
MISC metadata.xml 792 BLAKE2B 8655d15948883c5b7ad17e943028e0ab70e09d17fe7591c5e094bb46cee2595db382a008fe9d20121cee7473f1cf66efb1b71cdd345828be125c36fe67f376c6 SHA512 9065dee947add0fa203dd9a092910c165944dfc7ecee69c17092526fccfdccfa7864d4402314d9c25389f26b161251dfa58eaf2b21113da0642a62976abd50d7
diff --git a/dev-python/python-email-validator/python-email-validator-2.0.0_p2.ebuild b/dev-python/python-email-validator/python-email-validator-2.0.0_p2.ebuild
new file mode 100644
index 000000000000..2778e3b55030
--- /dev/null
+++ b/dev-python/python-email-validator/python-email-validator-2.0.0_p2.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=email-validator
+PYTHON_COMPAT=( python3_{9..11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A robust email syntax and deliverability validation library"
+HOMEPAGE="
+ https://github.com/JoshData/python-email-validator/
+ https://pypi.org/project/email-validator/
+"
+
+LICENSE="CC0-1.0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/idna-2.8[${PYTHON_USEDEP}]
+ >=dev-python/dnspython-1.15.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ epytest -m "not network"
+}
diff --git a/dev-python/python-engineio/Manifest b/dev-python/python-engineio/Manifest
index 5215a4698a46..fa2a4b266397 100644
--- a/dev-python/python-engineio/Manifest
+++ b/dev-python/python-engineio/Manifest
@@ -1,3 +1,5 @@
DIST python-engineio-4.4.0.gh.tar.gz 309353 BLAKE2B 4cf40802fddcce2e53e205bdbe73bdf0ec822e15581fe4a9939b8d05c3eb6ba82a99d089d4708169b197aa79e5b5f14001ff86f72025fc6d96c99ed6d73fe620 SHA512 b7995aaf2583ec58ac87f048608653ade3846dd103616ee90b3dc12cc7e27c7d37959cd3e1ebf6e138395ff6fad8cd011407b6660258715e513bf72c8a3e1f6f
+DIST python-engineio-4.4.1.gh.tar.gz 309475 BLAKE2B 4ae5dd9887f4d3a70d4983d2a0f0de29b1a54d30961bfc430b8850ff4af73fa1cd9abad6caeb8248a44def42b02e26ecb0632dd9b4d57e2a7f44b33762659304 SHA512 a903ae4f5a4679f6d46fda09901b637ef8dcf2896ece8781460d27aab7c8da606e16a89ac5dea94c156d8196a7e931626b2310b41ddc61d4241b5e004ad2ca64
EBUILD python-engineio-4.4.0.ebuild 1340 BLAKE2B 59c5e2dd26758fa40545965b509e7e0d72543f8413d2ea10cb6ec32383e686fff0314c61f7ba2d67819b8b57fd9ffb90413df024a20736222988acae3f9b3ff1 SHA512 228d7ed354b92b770fffa5c6fbc21c91de61839643bd83c4279a84cd70950f67108c6a9fce4e2e2bdbadd9d17f9d17613ce36cada9e671fada933fb720983783
+EBUILD python-engineio-4.4.1.ebuild 1340 BLAKE2B 59c5e2dd26758fa40545965b509e7e0d72543f8413d2ea10cb6ec32383e686fff0314c61f7ba2d67819b8b57fd9ffb90413df024a20736222988acae3f9b3ff1 SHA512 228d7ed354b92b770fffa5c6fbc21c91de61839643bd83c4279a84cd70950f67108c6a9fce4e2e2bdbadd9d17f9d17613ce36cada9e671fada933fb720983783
MISC metadata.xml 518 BLAKE2B 7325d24cc26b1a3b4e2dec04159cdd4ebcceaf0384fccbee11205f9c000b1e9f84f97c742a6181dbad419e2527c6f874bc3f89760daa6b6dd2feb9b1f874b515 SHA512 40fe9ac96224019d28206f75ae6249c75dbcb759918c03826af4f8a394586bd5df445ef475cd009e8af93ea5c7424abebbbfd65ac2e2eb7bdd9e8a29f2dcb34f
diff --git a/dev-python/python-engineio/python-engineio-4.4.1.ebuild b/dev-python/python-engineio/python-engineio-4.4.1.ebuild
new file mode 100644
index 000000000000..a47389eb7079
--- /dev/null
+++ b/dev-python/python-engineio/python-engineio-4.4.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python implementation of the Engine.IO realtime server"
+HOMEPAGE="
+ https://python-engineio.readthedocs.io/
+ https://github.com/miguelgrinberg/python-engineio/
+ https://pypi.org/project/python-engineio/"
+SRC_URI="
+ https://github.com/miguelgrinberg/python-engineio/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/websocket-client[${PYTHON_USEDEP}]
+"
+# Can use eventlet, werkzeug, or gevent, but no tests for werkzeug
+BDEPEND="
+ test? (
+ dev-python/tornado[${PYTHON_USEDEP}]
+ dev-python/websockets[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs \
+ dev-python/alabaster
+
+EPYTEST_IGNORE=(
+ # eventlet is masked for removal
+ tests/common/test_async_eventlet.py
+)
+
+EPYTEST_DESELECT=(
+ # also eventlet
+ tests/common/test_server.py::TestServer::test_async_mode_eventlet
+ tests/common/test_server.py::TestServer::test_connect
+ tests/common/test_server.py::TestServer::test_service_task_started
+ tests/common/test_server.py::TestServer::test_upgrades
+)
diff --git a/dev-python/ytmusicapi/Manifest b/dev-python/ytmusicapi/Manifest
index 49e6a2d16fab..a1286230cf76 100644
--- a/dev-python/ytmusicapi/Manifest
+++ b/dev-python/ytmusicapi/Manifest
@@ -1,7 +1,9 @@
DIST ytmusicapi-0.25.0.tar.gz 61709 BLAKE2B 7a4f0cf52d8d1a5e3310c5df39435d317916562f7d0277b0518e03193daf7995333853c4baf026ed0331ac1ef294897f034b7c97765764a795f34b7581f1788e SHA512 6c131c7c6d808d5a3c02795d5d28e687d92223fed809701d76318a145c7c82c12266b04f37aacb78750a4249f53e759dc891611dcb2edf61fefb19f133072d24
DIST ytmusicapi-0.25.2.tar.gz 63496 BLAKE2B a3409c29165871a90aef7951e63bd676db0f37a1a027d43bd56a0caed2cfd708f4a402168566a45841e9c500b0c371031f6b470598dea5ca880b7f9029e62d96 SHA512 cbdf327f51f4b1836c7cb14966b6c88b7d1b3b338779131b75aa9c12e96a9bb1d9f232a0a2e732bd12758a0d90e4f0600848ea99bd11a456aca8be502724db07
DIST ytmusicapi-1.0.0.tar.gz 67193 BLAKE2B c0d2a7580f734d8b34e90a004e9bad7d1fe55c53a22a8fc71399ffe80c0c56fef7d2c4ef99c7b3c97db5d0e087d5a9e4ce48df78e3b257b09d40ef281a953f5e SHA512 27b492d60dce637f2b9defb868c0fdeb270fb0eb4082adcafb5fc314b6fd505ea7e5a93a4596405cad6957caef96e92367dd9bb736cd98a6ebdeff2fc76cf3f7
+DIST ytmusicapi-1.0.1.tar.gz 67455 BLAKE2B 1bb69e263331b300a7ea5e45bca3b43cc2057c48309a0bef4102b8096089ce8d5da163f6e5a63a0259274e2f05303e9d89cedd2949d60ae63a3c05253e7aa0d7 SHA512 eadd80ed7aae0697e06e22bdc513f60fe9be3ebd589be5ecae58aa52806abbed0150fa222d8a418f93705790f48de2b6be9bc3d82888f04972dea5b492ab9eb3
EBUILD ytmusicapi-0.25.0.ebuild 503 BLAKE2B 276d9472f84a0fb37daa93c00ae142aa7ed776bc98295bb627db2da26928e0c40c7a45d54bdc7769b3ca8bd4bd1ca80d86f79b46794579c3c8bf55feb6181eef SHA512 3f6c02ed0a5ebc92c48dffe7b54c7edc0a6983327617e5ae0139e0b59d77e1897f55a85d86c17a63ec3af558ae7693262966c064a2483f9fb87a7e84e5c508e2
EBUILD ytmusicapi-0.25.2.ebuild 504 BLAKE2B ed64585f3d92a8034283d5516f454b8a99adb67d1c0067e4dc6e0e85be31a9392b1932b5d64487b1c0817f13607cf4ac16ee3c5d50d0316df93a89535d675cf9 SHA512 f9825708162f4661d96df20510350c10356d866338c67e7346359d6795c8ea34be7c1bdf3fdcd7a53257374b632c17d4db1c47d34113e642c976ec3d307d302b
EBUILD ytmusicapi-1.0.0.ebuild 504 BLAKE2B ed64585f3d92a8034283d5516f454b8a99adb67d1c0067e4dc6e0e85be31a9392b1932b5d64487b1c0817f13607cf4ac16ee3c5d50d0316df93a89535d675cf9 SHA512 f9825708162f4661d96df20510350c10356d866338c67e7346359d6795c8ea34be7c1bdf3fdcd7a53257374b632c17d4db1c47d34113e642c976ec3d307d302b
+EBUILD ytmusicapi-1.0.1.ebuild 504 BLAKE2B ed64585f3d92a8034283d5516f454b8a99adb67d1c0067e4dc6e0e85be31a9392b1932b5d64487b1c0817f13607cf4ac16ee3c5d50d0316df93a89535d675cf9 SHA512 f9825708162f4661d96df20510350c10356d866338c67e7346359d6795c8ea34be7c1bdf3fdcd7a53257374b632c17d4db1c47d34113e642c976ec3d307d302b
MISC metadata.xml 589 BLAKE2B bf51d5de92082a99ffb69839a9cadcea1d740f05d83194b951383713bcfbc4c95021ef27382cc6020298c3b8817553549ba150876c1398094dcc9a7de38bc04c SHA512 d34382f0041b2f74892661880ee7a318d7571254b18bf41d1152560e06f8d1b2da7432b4e9eb8a0d8b6cba645da9a3bf9c6a7c33002471a17d8c516c0aee8f70
diff --git a/dev-python/ytmusicapi/ytmusicapi-1.0.1.ebuild b/dev-python/ytmusicapi/ytmusicapi-1.0.1.ebuild
new file mode 100644
index 000000000000..3d685ec4c091
--- /dev/null
+++ b/dev-python/ytmusicapi/ytmusicapi-1.0.1.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Unofficial API for YouTube Music"
+HOMEPAGE="https://ytmusicapi.readthedocs.io/
+ https://github.com/sigma67/ytmusicapi/"
+
+LICENSE="MIT"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+
+RDEPEND="dev-python/requests[${PYTHON_USEDEP}]"
+
+distutils_enable_sphinx docs/source \
+ dev-python/sphinx-rtd-theme